import { onMounted, ref, computed, watch, nextTick } from "vue";

const html = (v) => { return v[0] };

export default {
  props: ['modelValue'],
  setup(props) {

    return { window }
  },
  template: html`
  <input class="input element" :value="modelValue"
  @input="$emit('update:modelValue', $event.target.value)" @focus="window.setTimeout (function(){
     $event.target.select();
  },1);">
  `
}
